Package Details: cargo-deny 0.10.3-1

Git Clone URL: https://aur.archlinux.org/cargo-deny.git (read-only, click to copy)
Package Base: cargo-deny
Description: Cargo plugin for linting your dependencies
Upstream URL: https://github.com/EmbarkStudios/cargo-deny
Licenses: MIT, Apache
Submitter: frol
Maintainer: frol
Last Packager: frol
Votes: 2
Popularity: 0.001234
First Submitted: 2020-04-17 22:40
Last Updated: 2021-11-22 09:50

Latest Comments

frol commented on 2021-11-15 22:20

Well, according to ldd, gcc-libs is still required, though indeed I need to add quite a few more dependencies (openssl, ssh, etc). I don't have the capacity to work on that now, but I will be happy to receive a patch

$ ldd /usr/bin/cargo-deny
        linux-vdso.so.1 (0x00007ffd5a93d000)
        libgit2.so.1.2 => /usr/lib/libgit2.so.1.2 (0x00007f6e95e0d000)
        libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0x00007f6e95df2000)
        libpthread.so.0 => /usr/lib/libpthread.so.0 (0x00007f6e95dd1000)
        libm.so.6 => /usr/lib/libm.so.6 (0x00007f6e95c8d000)
        libdl.so.2 => /usr/lib/libdl.so.2 (0x00007f6e95c86000)
        libc.so.6 => /usr/lib/libc.so.6 (0x00007f6e95aba000)
        /lib64/ld-linux-x86-64.so.2 => /usr/lib64/ld-linux-x86-64.so.2 (0x00007f6e96aa9000)
        libssl.so.1.1 => /usr/lib/libssl.so.1.1 (0x00007f6e95a26000)
        libcrypto.so.1.1 => /usr/lib/libcrypto.so.1.1 (0x00007f6e95747000)
        libpcre.so.1 => /usr/lib/libpcre.so.1 (0x00007f6e956d0000)
        libhttp_parser.so.2.9 => /usr/lib/libhttp_parser.so.2.9 (0x00007f6e956c4000)
        libz.so.1 => /usr/lib/libz.so.1 (0x00007f6e956aa000)
        libssh2.so.1 => /usr/lib/libssh2.so.1 (0x00007f6e95669000)

freswa commented on 2021-11-15 12:18

Please replace gcc-libs dependency with zlib and glibc (according to ldd). Thank you :)